%define name tsung
%define version 1.2.0
%define release 1

Summary: A distributed multi-protocol load testing tool.
URL: http://tsung.erlang-projects.org/
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://tsung.erlang-projects.org/dist/%{name}-%{version}.tar.gz
License: GPL
Vendor: Process-one
Packager: Nicolas Niclausse <nicolas@niclux.org>
Group: Development/Tools
BuildArch: noarch
BuildRequires: erlang-otp, xmerl >= 0.19
Requires: erlang-otp >= R9C_0, xmerl >= 0.19
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
 tsung is a distributed load testing tool.
 It is protocol-independent and can currently be used to stress and
 benchmark HTTP and Jabber servers.
 It simulates user behaviour using an XML description file, reports
 many measurements in real time (statistics can be customized with
 transactions, and graphics generated using gnuplot).
 For HTTP, it supports 1.0 and 1.1, has a proxy mode to record
 sessions, supports GET and POST methods, Cookies, and Basic
 WWW-authentication. It also has support for SSL.
 .
 More information is available at http://tsung.erlang-projects.org/ .

%prep
%setup
%configure

make

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT %makeinstall 
install -m644 CONTRIBUTORS $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -m644 README $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -m644 TODO $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -m644 COPYING $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -m644 CHANGES $RPM_BUILD_ROOT/usr/share/doc/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/tsung
/usr/lib/erlang/lib
/usr/lib/tsung
/usr/share/tsung
%doc /usr/share/doc/tsung/*
%doc /usr/share/man/man1/tsung.1.gz

%changelog
* Wed Apr 27 2005 Nicolas Niclausse <nicolas.niclausse@niclux.org> 1.0.2-1
- new release
* Thu Nov  18 2004 Nicolas Niclausse <nicolas.niclausse@niclux.org> 1.0.1-1
- new release
* Mon Aug  9 2004 Nicolas Niclausse <nicolas.niclausse@IDEALX.com> 1.0-1
- new release
* Mon Aug  9 2004 Nicolas Niclausse <nicolas.niclausse@IDEALX.com> 1.0.beta7-2
- fix doc 
* Mon Aug  9 2004 Nicolas Niclausse <nicolas.niclausse@IDEALX.com> 1.0.beta7-1
- initial rpm 

# end of file
